#ifndef QMYWINDOW_H
#define QMYWINDOW_H

#include <QtGui/QWidget>

#include "./generated/ui_mainwindow.h"

class QMyWindow: public QMainWindow {
	Q_OBJECT

public:
	QMyWindow(QWidget *parent);

public slots:
	void slotQuitApp();
	void slotLoadModels();
	void slotLoadConfiguration();
	void slotSaveConfiguration();
	void slotLoadFlightPath();
	void slotSaveFlightPath();

signals:
	void signalQuitApp();
	void signalLoadModels(QString);
	void signalLoadConfiguration(QString);
	void signalSaveConfiguration(QString);
	void signalLoadFlightPath(QString);
	void signalSaveFlightPath(QString);

private:
	Ui::MainWindow m_ui;
};

#endif